Package net.dona.doip.client.transport

## Class ConnectionOptions

- java.lang.Object
- - net.dona.doip.client.transport.ConnectionOptions

-     public class ConnectionOptions
      extends java.lang.Object

  Options for a connection to a DOIP server.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `address` | The IP address of the DOIP server.
    `java.lang.String` | `clientId` | The identifier for the client; if present, will be used along with `clientPublicKey` and `clientPrivateKey` to produce a client-side TLS certificate to be used for the connection.
    `java.security.PrivateKey` | `clientPrivateKey` |
    `java.security.PublicKey` | `clientPublicKey` |
    `java.lang.Integer` | `connectTimeoutMs` | Connection timeout in ms.
    `int` | `port` | The port of the DOIP server.
    `java.lang.Integer` | `readTimeoutMs` | Read timeout in ms.
    `java.lang.String` | `serverId` | The identifier of the server; if present `trustedServerPublicKeys` should also be provided.
    `java.util.List<java.security.PublicKey>` | `trustedServerPublicKeys` | A list of public keys that will be trusted for this server.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConnectionOptions()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### address

          public java.lang.String address

      The IP address of the DOIP server.

    - #### port

          public int port

      The port of the DOIP server.

    - #### connectTimeoutMs

          public java.lang.Integer connectTimeoutMs

      Connection timeout in ms.

    - #### readTimeoutMs

          public java.lang.Integer readTimeoutMs

      Read timeout in ms.

    - #### serverId

          public java.lang.String serverId

      The identifier of the server; if present `trustedServerPublicKeys` should also be provided.

    - #### trustedServerPublicKeys

          public java.util.List<java.security.PublicKey> trustedServerPublicKeys

      A list of public keys that will be trusted for this server.

    - #### clientId

          public java.lang.String clientId

      The identifier for the client; if present, will be used along with `clientPublicKey` and `clientPrivateKey` to produce a client-side TLS certificate to be used for the connection.

    - #### clientPublicKey

          public java.security.PublicKey clientPublicKey

    - #### clientPrivateKey

          public java.security.PrivateKey clientPrivateKey

  - ### Constructor Detail

    - #### ConnectionOptions

          public ConnectionOptions()